use crate::dynamic_data::{Gen7MiscLibrary, MiscLibrary};
use crate::ffi::ffi_handle::FFIHandle;
use std::sync::Arc;

/// Instantiates a new MiscLibrary.
#[no_mangle]
extern "C" fn gen_7_misc_library_new() -> FFIHandle<Arc<dyn MiscLibrary>> {
    let v: Arc<dyn MiscLibrary> = Arc::new(Gen7MiscLibrary::new());
    FFIHandle::get_handle(v.into())
}
